package nc.vo.fa.billsendVO;

import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFDouble;

/**
 * 资金合并/拆分表头VO
 * @author CCY
 *
 */
public class AssetsHeadVo {
	private String pk_card;// 主键
	private String pk_org;// 财务组织
	private String Org_orgs_code;// 财务组织编码
	private String Org_orgs_name;// 财务组织名称
	private String bill_code;//合并单号
	private String Def13;// 所属法人
	private String card_code;// 卡片编号
	private String asset_code;// 资产编码
	private String asset_name;// 资产名称
	private String pk_category;// 资产类别
	private String pk_transitype;//交易类型
	private String pk_addreducesty;// 增加方式
	private String pk_jobmngfil;// 项目档案ID
	private String Bd_Project_code;// 项目档案编码
	private String Bd_Project_Name;// 项目档案名称
	private String Bd_Project_erpcode;
	//def6 
	private UFDate begin_date;// 开始使用日期
	private UFDate business_date;// 建卡日期
	private UFDate dep_start_date;// 折旧开始日期
	private UFDate dep_end_date;// 折旧截止日期
	private String pk_currency;// 币种
	private String pk_assetuser;// 使用人
	private String assetuser_name;//使用人人员名称
	private String assetuser_code;//使用人人员编码
	private String pk_user;// 责任人
	private String user_name;//责任人人员名称
	private String user_code;//责任人人员编码
	private String provider;// 供应商
	private String pk_usedept;// 使用部门
	private String usedept_name;//使用部门名称
	private String usedept_code;//使用部门编码
	
	private String pk_mandept;// 管理部门
	private String mandept_name;//管理部门名称
	private String mandept_code;//管理部门编码
	private String paydept_flag;// 折旧承担部门
	private String paydept_flag_name;//折旧承担部门名称
	private String paydept_flag_code;//折旧承担部门编码
	
	private String pk_usingstatus;// 使用状况
	private String pk_depmethod;// 折旧方法
	private Integer naturemonth;// 使用月限
	private UFDouble accuworkloan;// 累计工作量
	private Integer usedmonth;// 已计提期数
	private UFDouble monthworkloan;// 月工作量
	private UFDouble deprate;// 月折旧率(%)
	private String salvagerate;// 净残值率(%)
	private Integer card_num;// 数量
	private String def7;// 卡片备注
	public String getBill_code() {
		return bill_code;
	}
	public void setBill_code(String bill_code) {
		this.bill_code = bill_code;
	}
	public String getPk_transitype() {
		return pk_transitype;
	}
	public void setPk_transitype(String pk_transitype) {
		this.pk_transitype = pk_transitype;
	}
	public String getCurryeardep() {
		return curryeardep;
	}
	public void setCurryeardep(String curryeardep) {
		this.curryeardep = curryeardep;
	}
	private UFDouble netvalue;// 净值
	private UFDouble netrating;// 净额
	private UFDouble originvalue;// 原币原值
	private UFDouble localoriginvalue;// 本币原值
	private String curryeardep;//本年折旧
	private UFDouble salvage;// 净残值
	private String billmaker;// 制单人
	private UFDateTime billmaketime;// 制单时间
	private String creator;// 创建人
	private UFDateTime creationtime;// 创建时间
	private String modifier;// 最后修改人
	private UFDateTime modifiedtime;// 最后修改时间
	public String getPk_card() {
		return pk_card;
	}
	public void setPk_card(String pk_card) {
		this.pk_card = pk_card;
	}
	public String getPk_org() {
		return pk_org;
	}
	public void setPk_org(String pk_org) {
		this.pk_org = pk_org;
	}
	public String getOrg_orgs_code() {
		return Org_orgs_code;
	}
	public void setOrg_orgs_code(String org_orgs_code) {
		Org_orgs_code = org_orgs_code;
	}
	public String getOrg_orgs_name() {
		return Org_orgs_name;
	}
	public void setOrg_orgs_name(String org_orgs_name) {
		Org_orgs_name = org_orgs_name;
	}
	public String getDef13() {
		return Def13;
	}
	public void setDef13(String def13) {
		Def13 = def13;
	}
	public String getCard_code() {
		return card_code;
	}
	public void setCard_code(String card_code) {
		this.card_code = card_code;
	}
	public String getAsset_code() {
		return asset_code;
	}
	public void setAsset_code(String asset_code) {
		this.asset_code = asset_code;
	}
	public String getAsset_name() {
		return asset_name;
	}
	public void setAsset_name(String asset_name) {
		this.asset_name = asset_name;
	}
	public String getPk_category() {
		return pk_category;
	}
	public void setPk_category(String pk_category) {
		this.pk_category = pk_category;
	}
	public String getPk_addreducesty() {
		return pk_addreducesty;
	}
	public void setPk_addreducesty(String pk_addreducesty) {
		this.pk_addreducesty = pk_addreducesty;
	}
	public String getPk_jobmngfil() {
		return pk_jobmngfil;
	}
	public void setPk_jobmngfil(String pk_jobmngfil) {
		this.pk_jobmngfil = pk_jobmngfil;
	}
	public String getBd_Project_code() {
		return Bd_Project_code;
	}
	public void setBd_Project_code(String bd_Project_code) {
		Bd_Project_code = bd_Project_code;
	}
	public String getBd_Project_Name() {
		return Bd_Project_Name;
	}
	public void setBd_Project_Name(String bd_Project_Name) {
		Bd_Project_Name = bd_Project_Name;
	}
	public UFDate getBegin_date() {
		return begin_date;
	}
	public void setBegin_date(UFDate begin_date) {
		this.begin_date = begin_date;
	}
	public UFDate getBusiness_date() {
		return business_date;
	}
	public void setBusiness_date(UFDate business_date) {
		this.business_date = business_date;
	}
	public UFDate getDep_start_date() {
		return dep_start_date;
	}
	public void setDep_start_date(UFDate dep_start_date) {
		this.dep_start_date = dep_start_date;
	}
	public UFDate getDep_end_date() {
		return dep_end_date;
	}
	public void setDep_end_date(UFDate dep_end_date) {
		this.dep_end_date = dep_end_date;
	}
	public String getPk_currency() {
		return pk_currency;
	}
	public void setPk_currency(String pk_currency) {
		this.pk_currency = pk_currency;
	}
	public String getPk_assetuser() {
		return pk_assetuser;
	}
	public void setPk_assetuser(String pk_assetuser) {
		this.pk_assetuser = pk_assetuser;
	}
	public String getAssetuser_name() {
		return assetuser_name;
	}
	public void setAssetuser_name(String assetuser_name) {
		this.assetuser_name = assetuser_name;
	}
	public String getAssetuser_code() {
		return assetuser_code;
	}
	public void setAssetuser_code(String assetuser_code) {
		this.assetuser_code = assetuser_code;
	}
	public String getPk_user() {
		return pk_user;
	}
	public void setPk_user(String pk_user) {
		this.pk_user = pk_user;
	}
	public String getUser_name() {
		return user_name;
	}
	public void setUser_name(String user_name) {
		this.user_name = user_name;
	}
	public String getUser_code() {
		return user_code;
	}
	public void setUser_code(String user_code) {
		this.user_code = user_code;
	}
	public String getProvider() {
		return provider;
	}
	public void setProvider(String provider) {
		this.provider = provider;
	}
	public String getPk_usedept() {
		return pk_usedept;
	}
	public void setPk_usedept(String pk_usedept) {
		this.pk_usedept = pk_usedept;
	}
	public String getUsedept_name() {
		return usedept_name;
	}
	public void setUsedept_name(String usedept_name) {
		this.usedept_name = usedept_name;
	}
	public String getUsedept_code() {
		return usedept_code;
	}
	public void setUsedept_code(String usedept_code) {
		this.usedept_code = usedept_code;
	}
	public String getPk_mandept() {
		return pk_mandept;
	}
	public void setPk_mandept(String pk_mandept) {
		this.pk_mandept = pk_mandept;
	}
	public String getMandept_name() {
		return mandept_name;
	}
	public void setMandept_name(String mandept_name) {
		this.mandept_name = mandept_name;
	}
	public String getMandept_code() {
		return mandept_code;
	}
	public void setMandept_code(String mandept_code) {
		this.mandept_code = mandept_code;
	}
	public String getPaydept_flag() {
		return paydept_flag;
	}
	public void setPaydept_flag(String paydept_flag) {
		this.paydept_flag = paydept_flag;
	}
	public String getPaydept_flag_name() {
		return paydept_flag_name;
	}
	public void setPaydept_flag_name(String paydept_flag_name) {
		this.paydept_flag_name = paydept_flag_name;
	}
	public String getPaydept_flag_code() {
		return paydept_flag_code;
	}
	public void setPaydept_flag_code(String paydept_flag_code) {
		this.paydept_flag_code = paydept_flag_code;
	}
	public String getPk_usingstatus() {
		return pk_usingstatus;
	}
	public void setPk_usingstatus(String pk_usingstatus) {
		this.pk_usingstatus = pk_usingstatus;
	}
	public String getPk_depmethod() {
		return pk_depmethod;
	}
	public void setPk_depmethod(String pk_depmethod) {
		this.pk_depmethod = pk_depmethod;
	}
	public Integer getNaturemonth() {
		return naturemonth;
	}
	public void setNaturemonth(Integer naturemonth) {
		this.naturemonth = naturemonth;
	}
	public UFDouble getAccuworkloan() {
		return accuworkloan;
	}
	public void setAccuworkloan(UFDouble accuworkloan) {
		this.accuworkloan = accuworkloan;
	}
	public Integer getUsedmonth() {
		return usedmonth;
	}
	public void setUsedmonth(Integer usedmonth) {
		this.usedmonth = usedmonth;
	}
	public UFDouble getMonthworkloan() {
		return monthworkloan;
	}
	public void setMonthworkloan(UFDouble monthworkloan) {
		this.monthworkloan = monthworkloan;
	}
	public UFDouble getDeprate() {
		return deprate;
	}
	public void setDeprate(UFDouble deprate) {
		this.deprate = deprate;
	}
	public String getSalvagerate() {
		return salvagerate;
	}
	public void setSalvagerate(String salvagerate) {
		this.salvagerate = salvagerate;
	}
	public Integer getCard_num() {
		return card_num;
	}
	public void setCard_num(Integer card_num) {
		this.card_num = card_num;
	}
	public String getDef7() {
		return def7;
	}
	public void setDef7(String def7) {
		this.def7 = def7;
	}
	public UFDouble getNetvalue() {
		return netvalue;
	}
	public void setNetvalue(UFDouble netvalue) {
		this.netvalue = netvalue;
	}
	public UFDouble getNetrating() {
		return netrating;
	}
	public void setNetrating(UFDouble netrating) {
		this.netrating = netrating;
	}
	public UFDouble getOriginvalue() {
		return originvalue;
	}
	public void setOriginvalue(UFDouble originvalue) {
		this.originvalue = originvalue;
	}
	public UFDouble getLocaloriginvalue() {
		return localoriginvalue;
	}
	public void setLocaloriginvalue(UFDouble localoriginvalue) {
		this.localoriginvalue = localoriginvalue;
	}
	public UFDouble getSalvage() {
		return salvage;
	}
	public void setSalvage(UFDouble salvage) {
		this.salvage = salvage;
	}
	public String getBillmaker() {
		return billmaker;
	}
	public void setBillmaker(String billmaker) {
		this.billmaker = billmaker;
	}
	public UFDateTime getBillmaketime() {
		return billmaketime;
	}
	public void setBillmaketime(UFDateTime billmaketime) {
		this.billmaketime = billmaketime;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public UFDateTime getCreationtime() {
		return creationtime;
	}
	public void setCreationtime(UFDateTime creationtime) {
		this.creationtime = creationtime;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	public String getBd_Project_erpcode() {
		return Bd_Project_erpcode;
	}
	public void setBd_Project_erpcode(String bd_Project_erpcode) {
		Bd_Project_erpcode = bd_Project_erpcode;
	}
	public UFDateTime getModifiedtime() {
		return modifiedtime;
	}
	public void setModifiedtime(UFDateTime modifiedtime) {
		this.modifiedtime = modifiedtime;
	}
	@Override
	public String toString() {
		return "{\"pk_card\":\"" + pk_card + "\",\"pk_org\":\"" + pk_org + "\",\"Org_orgs_code\":\"" + Org_orgs_code
				+ "\",\"Org_orgs_name\":\"" + Org_orgs_name + "\",\"bill_code\":\"" + bill_code + "\",\"Def13\":\""
				+ Def13 + "\",\"card_code\":\"" + card_code + "\",\"asset_code\":\"" + asset_code
				+ "\",\"asset_name\":\"" + asset_name + "\",\"pk_category\":\"" + pk_category
				+ "\",\"pk_transitype\":\"" + pk_transitype + "\",\"pk_addreducesty\":\"" + pk_addreducesty
				+ "\",\"pk_jobmngfil\":\"" + pk_jobmngfil + "\",\"Bd_Project_code\":\"" + Bd_Project_code
				+ "\",\"Bd_Project_Name\":\"" + Bd_Project_Name + "\",\"Bd_Project_erpcode\":\"" + Bd_Project_erpcode
				+ "\",\"begin_date\":\"" + begin_date + "\",\"business_date\":\"" + business_date
				+ "\",\"dep_start_date\":\"" + dep_start_date + "\",\"dep_end_date\":\"" + dep_end_date
				+ "\",\"pk_currency\":\"" + pk_currency + "\",\"pk_assetuser\":\"" + pk_assetuser
				+ "\",\"assetuser_name\":\"" + assetuser_name + "\",\"assetuser_code\":\"" + assetuser_code
				+ "\",\"pk_user\":\"" + pk_user + "\",\"user_name\":\"" + user_name + "\",\"user_code\":\"" + user_code
				+ "\",\"provider\":\"" + provider + "\",\"pk_usedept\":\"" + pk_usedept + "\",\"usedept_name\":\""
				+ usedept_name + "\",\"usedept_code\":\"" + usedept_code + "\",\"pk_mandept\":\"" + pk_mandept
				+ "\",\"mandept_name\":\"" + mandept_name + "\",\"mandept_code\":\"" + mandept_code
				+ "\",\"paydept_flag\":\"" + paydept_flag + "\",\"paydept_flag_name\":\"" + paydept_flag_name
				+ "\",\"paydept_flag_code\":\"" + paydept_flag_code + "\",\"pk_usingstatus\":\"" + pk_usingstatus
				+ "\",\"pk_depmethod\":\"" + pk_depmethod + "\",\"naturemonth\":\"" + naturemonth
				+ "\",\"accuworkloan\":\"" + accuworkloan + "\",\"usedmonth\":\"" + usedmonth
				+ "\",\"monthworkloan\":\"" + monthworkloan + "\",\"deprate\":\"" + deprate + "\",\"salvagerate\":\""
				+ salvagerate + "\",\"card_num\":\"" + card_num + "\",\"def7\":\"" + def7 + "\",\"netvalue\":\""
				+ netvalue + "\",\"netrating\":\"" + netrating + "\",\"originvalue\":\"" + originvalue
				+ "\",\"localoriginvalue\":\"" + localoriginvalue + "\",\"curryeardep\":\"" + curryeardep
				+ "\",\"salvage\":\"" + salvage + "\",\"billmaker\":\"" + billmaker + "\",\"billmaketime\":\""
				+ billmaketime + "\",\"creator\":\"" + creator + "\",\"creationtime\":\"" + creationtime
				+ "\",\"modifier\":\"" + modifier + "\",\"modifiedtime\":\"" + modifiedtime + "\"} ";
	}
	
}
